> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mentioned.to/llms.txt
> Use this file to discover all available pages before exploring further.

# List Keywords

> Returns all tracked keywords for your workspace



## OpenAPI

````yaml GET /keywords
openapi: 3.0.3
info:
  title: Mentioned API
  description: API for accessing your competitor monitoring and Reddit visibility data
  version: 1.0.0
servers:
  - url: https://mentioned.to/api/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /keywords:
    get:
      summary: List keywords
      description: Returns all tracked keywords for your workspace
      operationId: listKeywords
      parameters:
        - name: active_only
          in: query
          description: Only return active keywords
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Keyword'
                  count:
                    type: integer
        '401':
          description: Invalid or missing API key
components:
  schemas:
    Keyword:
      type: object
      properties:
        id:
          type: integer
        keyword:
          type: string
        active:
          type: boolean
        is_ambiguous:
          type: boolean
        search_volume:
          type: integer
          nullable: true
        cpc:
          type: string
          nullable: true
        serp_reddit_position:
          type: integer
          nullable: true
        serp_reddit_url:
          type: string
          nullable: true
        serp_checked_at:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'API key from Settings > API. Format: `rm_live_xxx`'

````